Skip to content

Get computer use session detail

GET
/api/computer-use/sessions/{session_id}

Returns full session detail including signed screenshot URLs (7-day TTL). URLs are constructed at read time from steps_executed.

Authorizations

Parameters

Path Parameters

session_id
required

The computer-use session UUID

string format: uuid

The computer-use session UUID

Responses

200

Successful Response

Full detail of a computer-use session including signed screenshot URLs.

Screenshot URLs are constructed at read time from session metadata: {tenant_id}/computer-use/{session_id}/step-{N:04d}.png for N in range(steps_executed). Signed URLs have a 7-day TTL.

NOTE: No raw GCS path field is exposed — URL construction is an implementation detail of the recording store.

Attributes: screenshot_urls: Signed GCS URLs for each step screenshot. target_url: Starting URL for the browser session. error: Error message if the session failed.

object
agent_role
required
string
completed_at
Any of:
string format: date-time
created_at
required
string format: date-time
credits_consumed
required
integer
error
Any of:
string
executor_type
required
string
id
required
string format: uuid
pre_act_plan
Any of:
object
key
additional properties
any
screenshot_urls
Array<string>
started_at
Any of:
string format: date-time
status
required
string
steps_executed
required
integer
target_url
Any of:
string
task
required
string

422

Validation Error

object
detail
Array<object>
object
ctx
object
input
loc
required
Array
msg
required
string
type
required
string